oauth2-proxy:
  config:
    clientID: "<path:secrets/data/infra/oauth2-proxy#gitlab_oauth2_client_id>"
    clientSecret: "<path:secrets/data/infra/oauth2-proxy#gitlab_oauth2_client_secret>"
    cookieName: "eikooc"
  extraArgs:
    provider: "gitlab"
    cookie-secure: false
    reverse-proxy: true
    cookie-csrf-per-request: true
    cookie-csrf-expire: "5m"
    cookie-domain: ".from-the-lamp.com"
    reverse-proxy: true
    set-xauthrequest: true
    set-authorization-header: true
    pass-authorization-header: true
    pass-access-token: true
    skip-provider-button: true
    upstream: static://200
    gitlab-group: "from-the-lamp"
    whitelist-domain: ".from-the-lamp.com"
    email-domain: "*"
    oidc-issuer-url: "https://gitlab.com"
    redirect-url: "https://oauth2.from-the-lamp.com/oauth2/callback"
    scope: "openid email"
          
istio-ingress:
  gateway:
    hosts:
    - oauth2.from-the-lamp.com
    virtualService:
      destination:
        host: oauth2-proxy
        port: 80
